load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/gsn_code.ncl"  
load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/gsn_csm.ncl"  
load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/shea_util.ncl"
load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/contributed.ncl"
;--------------------------------------------------------------
; Test reading of refcst precipitation data. 
;--------------------------------------------------------------
begin

; set parameters.
  mmddhh = "121500"
  yr = "2003"
  flev = 500
  nfcst = 9

; open file
  path="/nas/headnode1/jsw/ensdata/"+yr+mmddhh+"/"
  apcpgridfile = addfile(path+"apcp.refcst_ens.grid."+mmddhh+"."+yr+".nc" ,"r")

; Read gridded data
; forecasts
; (members, time, lat, lon), convert from short integers to floats.
  apcp = short2flt(apcpgridfile->apcp(:,nfcst,:,:))
; ens mean
  apcpmean = dim_avg(apcp(lat | : , lon | :, members | :))

  apcpmean!0 = "lat"
  apcpmean!1 = "lon"
  apcpmean&lat = apcp&lat
  apcpmean&lon = apcp&lon
  apcpmean@units = apcp@units
  printVarSummary(apcpmean)

  printVarSummary(apcpmean)

; plot
  wks = gsn_open_wks("x11","refcstapcp")
  res                  = True                ; plot mods desired
  res@gsnDraw          = False                ; required to make
  res@gsnFrame         = False                ; contour style changes
  plot = gsn_csm_contour_map_ce(wks,apcpmean,res)
  plot = ZeroNegDashLineContour(plot)
  draw (plot)                                   ; draw the contour object
  frame (wks)                                   ; advance frame

end
